Bug 880992 - CVE-2012-2252 rssh: incorrect filtering of rsync --rsh command line option [epel-all]
Summary: CVE-2012-2252 rssh: incorrect filtering of rsync --rsh command line option [e...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rssh
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2252
TreeView+ depends on / blocked
 
Reported: 2012-11-28 11:02 UTC by Tomas Hoger
Modified: 2014-10-27 11:17 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-17 17:32:44 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2012-11-28 11:02:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2012-11-28 11:03:03 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=880177,880992

Comment 2 Tomas Hoger 2013-01-07 12:24:34 UTC
Any progress with updating EPEL packages?

Comment 3 Fedora Update System 2014-09-30 18:19:48 UTC
rssh-2.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.el6

Comment 4 Fedora Update System 2014-09-30 18:19:59 UTC
rssh-2.3.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.el5

Comment 5 Fedora Update System 2014-10-01 17:18:03 UTC
Package rssh-2.3.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rssh-2.3.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3024/rssh-2.3.4-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-10-17 17:32:44 UTC
rssh-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-10-17 17:37:07 UTC
rssh-2.3.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.